Public Types | Public Member Functions | Public Attributes | Friends | List of all members
MsWksGraphInternal::Zone Struct Reference

Internal: the generic pict. More...

Inheritance diagram for MsWksGraphInternal::Zone:

## Public Types
enum | Type { Unknown, Shape, ChartZone, Group, Pict, Text, Textv4, Bitmap, TableZone, OLE }

## Public Member Functions
| Zone ()
| constructor More...
virtual | ~Zone ()
| destructor More...
virtual Type | type () const
| return the type More...
virtual bool | getBinaryData (MWAWInputStreamPtr, MWAWEmbeddedObject &picture) const
| return a binary data (if known) More...
virtual float | needExtraBorderWidth () const
| return the extra border space ( if needed) More...
virtual void | fillFrame (MWAWGraphicStyle &) const
| add frame parameters to propList (if needed ) More...
MWAWBox2f | getLocalBox (bool extendWithBord=true) const
| return the box More...
MWAWPosition | getPosition (MWAWPosition::AnchorTo rel) const
virtual void | print (std::ostream &o) const
| the virtual print function More...

## Public Attributes
int | m_subType
| the type More...
int | m_zoneId
| the zone id More...
MWAWEntry | m_pos
| the file position More...
long | m_dataPos
| the data begin position More...
int | m_fileId
| the file id More...
long | m_ids [3]
| the zones id (main, previous, next) More...
int | m_page
| the page More...
MWAWBox2f | m_decal
| the local position More...
MWAWVec2f | m_finalDecal
| the final local position More...
MWAWBox2f | m_box
| local bdbox More...
int | m_line
| the line position(v1) More...
MsWksGraph::Style | m_style
| the style More...
int | m_order
| the picture order More...
std::string | m_extra
| extra data More...
bool | m_doNotSend
| a flag used to know if we need to send the data ( or if this is the part of a sub group) More...
bool | m_isSent
| true if the zone is send More...

## Friends
std::ostream & | operator<< (std::ostream &o, Zone const &pict)
| operator<< More...

## Detailed Description

Internal: the generic pict.

## Member Enumeration Documentation

## ◆ Type

enum MsWksGraphInternal::Zone::Type

Enumerator
Unknown |
Shape |
ChartZone |
Group |
Pict |
Text |
Textv4 |
Bitmap |
TableZone |
OLE |

## Constructor & Destructor Documentation

## ◆ Zone()

MsWksGraphInternal::Zone::Zone | ( |  | ) |
| inline

constructor

## ◆ ~Zone()

virtual MsWksGraphInternal::Zone::~Zone | ( |  | ) |
| inline virtual

destructor

## Member Function Documentation

## ◆ fillFrame()

virtual void MsWksGraphInternal::Zone::fillFrame | ( | MWAWGraphicStyle & |  | ) | const
| inline virtual

add frame parameters to propList (if needed )

Reimplemented in MsWksGraphInternal::TextBoxv4, and MsWksGraphInternal::TextBox.

## ◆ getBinaryData()

virtual bool MsWksGraphInternal::Zone::getBinaryData | ( | MWAWInputStreamPtr | ,
|  | MWAWEmbeddedObject & | picture
| ) |  | const
| inline virtual

return a binary data (if known)

Reimplemented in MsWksGraphInternal::DataPict.

## ◆ getLocalBox()

MWAWBox2f MsWksGraphInternal::Zone::getLocalBox | ( | bool | extendWithBord = `true` | ) | const
| inline

return the box

Referenced by MsWksGraph::sendGroupChild().

## ◆ getPosition()

MWAWPosition MsWksGraphInternal::Zone::getPosition | ( | MWAWPosition::AnchorTo | rel | ) | const
| inline

## ◆ needExtraBorderWidth()

virtual float MsWksGraphInternal::Zone::needExtraBorderWidth | ( |  | ) | const
| inline virtual

return the extra border space ( if needed)

Reimplemented in MsWksGraphInternal::BasicShape.

## ◆ print()

void MsWksGraphInternal::Zone::print | ( | std::ostream & | o | ) | const
| virtual

the virtual print function

Reimplemented in MsWksGraphInternal::TextBoxv4, MsWksGraphInternal::OLEZone, MsWksGraphInternal::TextBox, MsWksGraphInternal::DataBitmap, MsWksGraphInternal::DataPict, MsWksGraphInternal::BasicShape, and MsWksGraphInternal::GroupZone.

Referenced by MsWksGraphInternal::GroupZone::print(), MsWksGraphInternal::BasicShape::print(), MsWksGraphInternal::DataPict::print(), MsWksGraphInternal::DataBitmap::print(), MsWksGraphInternal::TextBox::print(), MsWksGraphInternal::OLEZone::print(), and MsWksGraphInternal::TextBoxv4::print().

## ◆ type()

virtual Type MsWksGraphInternal::Zone::type | ( |  | ) | const
| inline virtual

return the type

Reimplemented in MsWksGraphInternal::TextBoxv4, MsWksGraphInternal::OLEZone, MsWksGraphInternal::TextBox, MsWksGraphInternal::Table, MsWksGraphInternal::DataBitmap, MsWksGraphInternal::DataPict, MsWksGraphInternal::Chart, MsWksGraphInternal::BasicShape, and MsWksGraphInternal::GroupZone.

Referenced by MsWksGraph::canCreateGraphic(), MsWksGraph::sendGroup(), and MsWksGraph::sendGroupChild().

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream& operator<< | ( | std::ostream & | o,
|  | Zone const & | pict
| ) |  |
| friend

operator<<

## Member Data Documentation

## ◆ m_box

MWAWBox2f MsWksGraphInternal::Zone::m_box

local bdbox

Referenced by MsWksGraph::getEntryPicture(), MsWksGraph::readPictHeader(), MsWksGraph::send(), MsWksGraph::sendGroup(), and MsWksGraph::sendGroupChild().

## ◆ m_dataPos

long MsWksGraphInternal::Zone::m_dataPos

the data begin position

Referenced by MsWksGraph::getEntryPicture(), MsWksGraph::readGroup(), MsWksGraph::readPictHeader(), MsWksGraph::readPictureV4(), and MsWksGraph::send().

## ◆ m_decal

MWAWBox2f MsWksGraphInternal::Zone::m_decal

the local position

Referenced by MsWksGraph::readPictHeader(), MsWksGraph::sendGroup(), and MsWksGraph::sendGroupChild().

## ◆ m_doNotSend

bool MsWksGraphInternal::Zone::m_doNotSend

a flag used to know if we need to send the data ( or if this is the part of a sub group)

## ◆ m_extra

std::string MsWksGraphInternal::Zone::m_extra

extra data

Referenced by MsWksGraph::readPictHeader().

## ◆ m_fileId

int MsWksGraphInternal::Zone::m_fileId

the file id

## ◆ m_finalDecal

MWAWVec2f MsWksGraphInternal::Zone::m_finalDecal

the final local position

Referenced by MsWksGraph::readPictHeader().

## ◆ m_ids

long MsWksGraphInternal::Zone::m_ids[3]

the zones id (main, previous, next)

Referenced by MsWksGraph::getEntryPicture(), and MsWksGraph::readPictHeader().

## ◆ m_isSent

bool MsWksGraphInternal::Zone::m_isSent

true if the zone is send

Referenced by MsWksGraph::sendGroup(), and MsWksGraph::sendGroupChild().

## ◆ m_line

int MsWksGraphInternal::Zone::m_line

the line position(v1)

## ◆ m_order

int MsWksGraphInternal::Zone::m_order

the picture order

## ◆ m_page

int MsWksGraphInternal::Zone::m_page

the page

Referenced by MsWksGraph::canCreateGraphic(), MsWksGraph::readPictHeader(), and MsWksGraph::readPictureV4().

## ◆ m_pos

MWAWEntry MsWksGraphInternal::Zone::m_pos

the file position

Referenced by MsWksGraph::getEntryPicture(), MsWksGraph::readGroup(), MsWksGraph::readPictureV4(), and MsWksGraph::send().

## ◆ m_style

MsWksGraph::Style MsWksGraphInternal::Zone::m_style

the style

Referenced by MsWksGraph::getEntryPicture(), MsWksGraph::readPictHeader(), MsWksGraph::send(), MsWksGraph::sendGroup(), and MsWksGraph::sendGroupChild().

## ◆ m_subType

int MsWksGraphInternal::Zone::m_subType

the type

Referenced by MsWksGraph::getEntryPicture(), and MsWksGraph::readPictHeader().

## ◆ m_zoneId

int MsWksGraphInternal::Zone::m_zoneId

the zone id

Referenced by MsWksGraph::getEntryPicture(), MsWksGraph::readGroup(), and MsWksGraph::readPictureV4().

The documentation for this struct was generated from the following file:

- MsWksGraph.cxx